org.appng.api.rest.model

## Class Message

- java.lang.Object
- - org.appng.api.rest.model.Message

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class Message
      extends Object
      implements Serializable

  A textual message with a certain level.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Message.LevelEnum` The level of the message.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getKey()` A key for this message
    `Message.LevelEnum` | `getLevel()` The level of the message.
    `String` | `getText()` The actual message.
    `int` | `hashCode()`
    `Message` | `key(String key)`
    `Message` | `level(Message.LevelEnum level)`
    `void` | `setKey(String key)`
    `void` | `setLevel(Message.LevelEnum level)`
    `void` | `setText(String text)`
    `Message` | `text(String text)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### level

          public Message level(Message.LevelEnum level)

    - #### getLevel

          public Message.LevelEnum getLevel()

      The level of the message.
      Returns:
        level

    - #### setLevel

          public void setLevel(Message.LevelEnum level)

    - #### text

          public Message text(String text)

    - #### getText

          public String getText()

      The actual message.
      Returns:
        text

    - #### setText

          public void setText(String text)

    - #### key

          public Message key(String key)

    - #### getKey

          public String getKey()

      A key for this message
      Returns:
        key

    - #### setKey

          public void setKey(String key)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.